Proxy-seller

Calculate proxy extension

Calculates extension cost for selected proxy IP addresses. MIX types may also use order separator IDs.

POST
/personal/api/v2/{apiKey}/prolong/calc/{type}

Path Parameters

apiKey*string

Client API key.

type*string

Proxy type.

Value in"ipv4" | "ipv6" | "mobile" | "isp" | "mix" | "mix_isp" | "resident" | "subresident"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://proxy-seller.com/personal/api/v2/abc123/prolong/calc/ipv4" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "123",      "456"    ],    "periodCode": "1m",    "paymentCode": "balance"  }'

{
  "data": null,
  "errors": [
    {
      "code": 0,
      "message": "IP not found",
      "customData": null
    }
  ],
  "status": "error"
}

{
  "code": 400,
  "message": "Bad request",
  "customData": null
}
{
  "error": "Too many requests"
}
Proxy-seller